6 Replies Latest reply: May 16, 2013 3:29 PM by twilhelm
Mark Barron Level 1 Level 1 (5 points)

My Illustrator CS4 Crashes when I try to print.... Can Anybody Print with 10.7 and Illustrator CS4 ?

  • soccerfan Level 1 Level 1 (10 points)

    What printer make\model you using?

  • Mark Barron Level 1 Level 1 (5 points)

    I have HP LaserJet's networked.  5000n. P1505n  and an Epson Stylus Pro 4880

    I'm downloading the Trial for Illustrator CS 5.1...  FIngers crossed that works.

     

    Tried InDesign CS4 and it crashes also.

    But Photoshop CS4, prints fine.

     

    UN hide the ~/Library...  ..

     

    maybe a Permission scan next.

    OR delete all printers

  • trp_ad_builder Level 1 Level 1 (0 points)

    I'm having the same problem. Photoshop prints fine...Illustrator crashes.

  • Mark Barron Level 1 Level 1 (5 points)

    I upgraded my Illustrator.  Would be nice for Adobe to be explicit and say which versions dont' work. But the website just mentions a "few problems" with various versions. 

  • ninjamac Level 1 Level 1 (0 points)

    I had a similar problem.  Just installed 10.7.2 and found i couldnt print using my old verison of CS3.  So i went to the Adobe page and found the following solution (copied straight from the site).

     

    Issue

    Printing from InDesign CS3 or CS4, or Illustrator CS3 or CS4 on Apple OS 10.7 (code named Lion) results in the Adobe application crashing. Acrobat 8.x is also installed, or was installed on the system previously.

    Solution

    The following workaround can be applied to get these older versions of Illustrator and InDesign to print on this newer operating system. Remove the following files and back them up:

    [Hard Drive]/Library/Printers/PPDs/contents/Resources/en.lproj          
    [Hard Drive]/Library/Printers/PPDs/contents/Resources/Zh_CN.lproj          
    [Hard Drive]/Library/Printers/PPDs/contents/Resources/Ja.lproj          
    [Hard Drive]/Library/Printers/PPDs/contents/Resources/ko.lproj          
    [Hard Drive]/Library/Printers/PPDs/contents/Resources/Zh_TW.lproj

    Additional information

    Creative Suite 3.x and 4.x applications were not designed to function under this newer version of the Mac OS, so some issues can affect them. Upgrading to the latest versions of these applications ensures that you achieve maximum compatibility with the new OS.

     

    Link: http://kb2.adobe.com/cps/912/cpsid_91254.html

  • twilhelm Level 1 Level 1 (0 points)

    I have this problem, it just started recently but when I follow your instructions in my library under printers there are only 4 files, not PPDs/contents/resources folders, only 2 ppd files and my other two printers files 550 and 2800 hp printers. Adobe won't help, my version is more than 2 versions back, even though it's 4 and the newest version is 6, it's so stupid. so I've been messing with it all day and when I tried to reinstall it failed. I really need this to work on my MAC or I wasted a lot of money, which would be really bad

    any thoughts that may help me would be appreciated.

    thanks

    tjw